Bug 165371 - Evolution-data-server crashes when trying to add a contact to a LDAP store
Evolution-data-server crashes when trying to add a contact to a LDAP store
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution-data-server (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Malcolm
: Desktop
Depends On: 165269
Blocks: 181409
  Show dependency treegraph
 
Reported: 2005-08-08 13:18 EDT by Dave Malcolm
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0479
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:40:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 311684 None None None Never

  None (edit)
Description Dave Malcolm 2005-08-08 13:18:41 EDT
Clone of bug 165269, for RHEL 4.  The bad buffer size is present in the RHEL4
branch.  Not sure that it's possible to trigger the bad code path though; IIRC
e-d-s-1.0.* it didn't have LDAP contact editing.

+++ This bug was initially created as a clone of Bug #165269 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8)
Gecko/20050511 Firefox/1.0.4

Description of problem:
Connect evolution to a localhost ldap server either fedora-ds or openldap (we
have tested with both).

Try and add a new contact -- Evolution-data-server crashes.

This does not occur in evolution 2.3.6 which is in rawhide.

We would like this fixed as it is the 1 major remaining thing that is holding
back our SOE at the organisation I am volunteering @.

This feature is important to small-medium sized businesses who don't have a HR
function and need to share contacts.



Version-Release number of selected component (if applicable):
evolution-data-server-1.2.2-3

How reproducible:
Always

Steps to Reproduce:
1. Start Evolution
2. Goto contacts
3.click right button add new address book
4. enter details for your ldap server (openldap or fedora-da)
5. ONLY Choose "never" for use encyrption (another bug that needs attention)
5. enter your login distingusihed name or email address.
6. ok close
7. click in address book area goto do a search.
8 you are asked for your password, give it and save.
9. go right button add new contact
10. enter some details.
11. click save and **CRASH***


This does not occur in 2.3.6 --- 2.3.6 works.  Can you release an update to
evolution that is patched for this problem.

Actual Results:  eds and openldap were stuffed -- restarted these add got back
under way.

Expected Results:  A contact should have saved to the ldap server and this would
then be searchable and auto resolve when your typing a new mail if you set the
connection to mark as default when you're diong add new address book in contacts.

Additional info:

I think a patch for this is available upstream however i can't find it at the
moment.  I would like this included in the next e-d-s /evolutetion update
Comment 2 Dave Malcolm 2005-08-18 17:21:55 EDT
(need to doublecheck that the erroneous codepath is never reached; possibly to
patch it nonetheless)
Comment 13 Red Hat Bugzilla 2006-08-10 17:40:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0479.html

Note You need to log in before you can comment on or make changes to this bug.